VirtuousAI
Reference

Artifacts

List Artifacts

GET
/api/v1/artifacts

Query Parameters

action_run_id?|
kind?|
limit?integer
Default100
Range1 <= value <= 100
offset?integer
Default0
Range0 <= value

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/artifacts"
{
  "artifacts": [
    {
      "actionRunId": "string",
      "content": {
        "data": {},
        "kind": "json",
        "storage": "inline"
      },
      "createdAt": "2019-08-24T14:15:22Z",
      "id": "string",
      "kind": "json",
      "storageType": "string",
      "title": "string",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "hasNext": true,
  "limit": 0,
  "offset": 0,
  "total": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Create Artifact

POST
/api/v1/artifacts

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

actionRunId*string
content?
kind*string

Types of artifacts that can be produced.

Value in"json" | "text" | "file"
title?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/artifacts" \  -H "Content-Type: application/json" \  -d '{    "actionRunId": "string",    "kind": "json"  }'
{
  "actionRunId": "string",
  "content": {
    "data": {},
    "kind": "json",
    "storage": "inline"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "id": "string",
  "kind": "json",
  "storageType": "string",
  "title": "string",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Get Artifact

GET
/api/v1/artifacts/{artifact_id}

Path Parameters

artifact_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/artifacts/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "actionRunId": "string",
  "content": {
    "data": {},
    "kind": "json",
    "storage": "inline"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "id": "string",
  "kind": "json",
  "storageType": "string",
  "title": "string",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Delete Artifact

DELETE
/api/v1/artifacts/{artifact_id}

Path Parameters

artifact_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

curl -X DELETE "https://loading/api/v1/artifacts/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}